classdef webcam < handle
  properties
    cam
  endproperties

  methods
    function obj = webcam(varargin)
      obj.cam = kpc_webcam(varargin{:});
    endfunction

    function im = snapshot(obj)
      im = kpc_snapshot(obj.cam);
    endfunction

    function preview(obj)
      imshow(snapshot(obj));
      title('Live preview not implemented. This is a still image');
      drawnow;
      warning('Live preview not implemented. A still image is shown instead');
    endfunction

    function s = get(obj, varargin)
      s = kpc_webcam_get(obj.cam, varargin{:});
    endfunction

    function set(obj, varargin)
      kpc_webcam_set(obj.cam, varargin{:});
    endfunction
  endmethods
endclassdef
